Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 267)
@@ -67,27 +67,27 @@
         public bool SelectAction(string AddSQLString, ref List<VehicleScheduleData> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " DATE_FORMAT(TargetDate, '%Y/%m/%d')";
-                strcmd += " ,VehicleCode";
-                strcmd += " ,MorningAfternoon";
-                strcmd += " ,PersonCode";
-                strcmd += " ,TargetYear";
-                strcmd += " ,TargetMonth";
-                strcmd += " ,TargetDay";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM VehicleScheduleData";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT");
+                strcmd.Append(" DATE_FORMAT(TargetDate, '%Y/%m/%d')");
+                strcmd.Append(" ,VehicleCode");
+                strcmd.Append(" ,MorningAfternoon");
+                strcmd.Append(" ,PersonCode");
+                strcmd.Append(" ,TargetYear");
+                strcmd.Append(" ,TargetMonth");
+                strcmd.Append(" ,TargetDay");
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM VehicleScheduleData");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -101,7 +101,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -116,48 +116,48 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<VehicleScheduleData> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO VehicleScheduleData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO VehicleScheduleData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (VehicleScheduleData work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format(" STR_TO_DATE('{0}','%Y/%m/%d')", work.TargetDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", work.VehicleCode.ToString());
-                    strcmd += string.Format(", {0}", work.MorningAfternoon.ToString());
-                    strcmd += string.Format(", {0}", work.PersonCode.ToString());
-                    strcmd += string.Format(", {0}", work.TargetYear.ToString());
-                    strcmd += string.Format(", {0}", work.TargetMonth.ToString());
-                    strcmd += string.Format(", {0}", work.TargetDay.ToString());
+                    strcmd.AppendFormat(" STR_TO_DATE('{0}','%Y/%m/%d')", work.TargetDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.VehicleCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.MorningAfternoon.ToString());
+                    strcmd.AppendFormat(", {0}", work.PersonCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.TargetYear.ToString());
+                    strcmd.AppendFormat(", {0}", work.TargetMonth.ToString());
+                    strcmd.AppendFormat(", {0}", work.TargetDay.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -172,40 +172,40 @@
         /// <returns></returns>
         public bool OneRecInsertAction(VehicleScheduleData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 bool bColFirst = true;
-                strcmd = "INSERT INTO VehicleScheduleData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO VehicleScheduleData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format(" STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
-                strcmd += string.Format(", {0}", data.VehicleCode.ToString());
-                strcmd += string.Format(", {0}", data.MorningAfternoon.ToString());
-                strcmd += string.Format(", {0}", data.PersonCode.ToString());
-                strcmd += string.Format(", {0}", data.TargetYear.ToString());
-                strcmd += string.Format(", {0}", data.TargetMonth.ToString());
-                strcmd += string.Format(", {0}", data.TargetDay.ToString());
+                strcmd.AppendFormat(" STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                strcmd.AppendFormat(", {0}", data.VehicleCode.ToString());
+                strcmd.AppendFormat(", {0}", data.MorningAfternoon.ToString());
+                strcmd.AppendFormat(", {0}", data.PersonCode.ToString());
+                strcmd.AppendFormat(", {0}", data.TargetYear.ToString());
+                strcmd.AppendFormat(", {0}", data.TargetMonth.ToString());
+                strcmd.AppendFormat(", {0}", data.TargetDay.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -220,32 +220,32 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, VehicleScheduleData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE VehicleScheduleData";
+                strcmd.Append("UPDATE VehicleScheduleData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
-                strcmd += string.Format(",VehicleCode = {0}", data.VehicleCode.ToString());
-                strcmd += string.Format(",MorningAfternoon = {0}", data.MorningAfternoon.ToString());
-                strcmd += string.Format(",PersonCode = {0}", data.PersonCode.ToString());
-                strcmd += string.Format(",TargetYear = {0}", data.TargetYear.ToString());
-                strcmd += string.Format(",TargetMonth = {0}", data.TargetMonth.ToString());
-                strcmd += string.Format(",TargetDay = {0}", data.TargetDay.ToString());
+                strcmd.AppendFormat(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                strcmd.AppendFormat(",VehicleCode = {0}", data.VehicleCode.ToString());
+                strcmd.AppendFormat(",MorningAfternoon = {0}", data.MorningAfternoon.ToString());
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode.ToString());
+                strcmd.AppendFormat(",TargetYear = {0}", data.TargetYear.ToString());
+                strcmd.AppendFormat(",TargetMonth = {0}", data.TargetMonth.ToString());
+                strcmd.AppendFormat(",TargetDay = {0}", data.TargetDay.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -261,18 +261,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM VehicleScheduleData", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM VehicleScheduleData", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -351,22 +351,22 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(DateTime TargetDate, int VehicleCode = 0, int MorningAfternoon = 0)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", TargetDate.ToShortDateString());
+                strWork.AppendFormat(" Where TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", TargetDate.ToShortDateString());
                 if (VehicleCode != 0)
-                    strWork += string.Format(" And VehicleCode = {0}", VehicleCode.ToString());
+                    strWork.AppendFormat(" And VehicleCode = {0}", VehicleCode.ToString());
                 if (MorningAfternoon != 0)
-                    strWork += string.Format(" And MorningAfternoon = {0}", MorningAfternoon.ToString());
+                    strWork.AppendFormat(" And MorningAfternoon = {0}", MorningAfternoon.ToString());
 
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -378,24 +378,24 @@
         /// <returns>Where文字列</returns>
         public string CreateSubkeyString(int TargetYear, int TargetMonth = 0, int TargetDay = 0, int PersonCode = 0)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where TargetYear = {0}", TargetYear.ToString());
+                strWork.AppendFormat(" Where TargetYear = {0}", TargetYear.ToString());
                 if (TargetMonth != 0)
-                    strWork += string.Format(" And TargetMonth = {0}", TargetMonth.ToString());
+                    strWork.AppendFormat(" And TargetMonth = {0}", TargetMonth.ToString());
                 if (TargetDay != 0)
-                    strWork += string.Format(" And TargetDay = {0}", TargetDay.ToString());
+                    strWork.AppendFormat(" And TargetDay = {0}", TargetDay.ToString());
                 if (PersonCode != 0)
-                    strWork += string.Format(" And PersonCode = {0}", PersonCode.ToString());
+                    strWork.AppendFormat(" And PersonCode = {0}", PersonCode.ToString());
 
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/BusinessTypeMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/BusinessTypeMaster.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/BusinessTypeMaster.cs	(revision 267)
@@ -10,6 +10,20 @@
     /// </summary>
     public class BusinessTypeMaster
     {
+        #region 定数
+        #region 法人格マスタ：法人格名称位置定義
+        /// <summary>
+        /// 法人格名称位置
+        /// </summary>
+        public enum StatusNamePointDef
+        {
+            None = 0,
+            Forword,
+            Back,
+        }
+        #endregion
+        #endregion
+
         #region メンバ変数
         private int         m_BusinessTypeCode = 0;	            // キー項目
         private int         m_DisplayOrder = 0;	                // 表示順
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfo.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfo.cs	(revision 267)
@@ -10,6 +10,231 @@
     /// </summary>
     public class ConstructionBaseInfo
     {
+        #region 定数
+        #region 工事基本情報：日付項目テーブル
+        /// <summary>
+        /// 工事基本情報日付項目テーブル
+        /// </summary>
+        public static Dictionary<int, string> DateNameNoDic = new Dictionary<int, string>(){
+                                                                                    {1,"RequestedDate"},
+                                                                                    {2,"EstimatesSubmitDeadline"},
+                                                                                    {3,"EstimatesSubmittedDate"},
+                                                                                    {4,"OrderDate"},
+                                                                                    {5, "OrderStartingDate"},
+                                                                                    {6,"OrderCompletionDate"},
+                                                                                    {7,"ConstructionStartingDate"},
+                                                                                    {8,"ConstructionCompletionDate"},
+                                                                                    {9,"TransferConstructionDate"},
+                                                                                    {10,"EstimatesExpirationDate"},
+                                                                                    {11,"ConstructionPeriodStart"},
+                                                                                    {12,"ConstructionPeriodEnd"},
+                                                                                    {13,"BillingStartDate"},
+                                                                                    {14,"BillingDate"},
+                                                                                    {15,"ConstrPreparationDate"},   // 2016/10/07 追加
+                                                                                };
+        /// <summary>
+        /// 工事基本情報日付項目名称テーブル
+        /// </summary>
+        public static Dictionary<string, string> DateNameDic = new Dictionary<string, string>(){
+                                                                                    {"RequestedDate","依頼受け日"},
+                                                                                    {"EstimatesSubmitDeadline","見積提出期限"},
+                                                                                    {"EstimatesSubmittedDate","見積提出日"},
+                                                                                    {"OrderDate","受注日"},
+                                                                                    {"OrderStartingDate","開始予定日"},
+                                                                                    {"OrderCompletionDate","完了予定日"},
+                                                                                    {"ConstrPreparationDate","施工開始準備日"},
+                                                                                    {"ConstructionStartingDate","施工開始日"},
+                                                                                    {"ConstructionCompletionDate","施工完了日"},
+                                                                                    {"TransferConstructionDate","工事移管日"},
+                                                                                    {"EstimatesExpirationDate","見積有効期限"},
+                                                                                    {"ConstructionPeriodStart","契約工期開始"},
+                                                                                    {"ConstructionPeriodEnd","契約工期完了"},
+                                                                                    {"BillingStartDate","請求準備開始日"},
+                                                                                    {"BillingDate",	"請求日"},
+                                                                                };
+        /// <summary>
+        /// 工事基本情報データチェック対象日付テーブル
+        /// </summary>
+        public enum DateNoDef
+        {
+            /// <summary>
+            /// 1:依頼受け日
+            /// </summary>
+            RequestedDate = 1,
+            /// <summary>
+            ///  2:見積提出期限
+            /// </summary>
+            EstimatesSubmitDeadline,
+            /// <summary>
+            ///  3:見積提出日
+            /// </summary>
+            EstimatesSubmittedDate,
+            /// <summary>
+            ///  4:受注日
+            /// </summary>
+            OrderDate,
+            /// <summary>
+            ///  5:開始予定日
+            /// </summary>
+            OrderStartingDate,
+            /// <summary>
+            ///  6:完了予定日
+            /// </summary>
+            OrderCompletionDate,
+            /// <summary>
+            ///  7:施工開始日
+            /// </summary>
+            ConstructionStartingDate,
+            /// <summary>
+            ///  8:施工完了日
+            /// </summary>
+            ConstructionCompletionDate,
+            /// <summary>
+            ///  9:工事移管日
+            /// </summary>
+            TransferConstructionDate,
+            /// <summary>
+            /// 10:見積有効期限
+            /// </summary>
+            EstimatesExpirationDate,
+            /// <summary>
+            /// 11:契約工期開始
+            /// </summary>
+            ConstructionPeriodStart,
+            /// <summary>
+            /// 12:契約工期完了
+            /// </summary>
+            ConstructionPeriodEnd,
+            /// <summary>
+            /// 13:請求準備開始日
+            /// </summary>
+            BillingStartDate,
+            /// <summary>
+            /// 14:請求日
+            /// </summary>
+            BillingDate,
+            /// <summary>
+            /// 15:施工開始準備日
+            /// </summary>
+            ConstrPreparationDate,
+        }
+        #endregion
+
+        #region 工事基本情報：消費税フラグ
+        /// <summary>
+        /// 消費税フラグ　0:含まない 1:含む
+        /// </summary>
+        public enum ConsumptionTaxFlgDef
+        {
+            /// <summary>
+            /// 0:含まない
+            /// </summary>
+            NotInclue = 0,
+            /// <summary>
+            /// 1:含む
+            /// </summary>
+            Include,
+        }
+        #endregion
+
+        #region 工事基本情報：営業経費発生フラグ
+        /// <summary>
+        /// 営業経費発生フラグ　0:発生しない 1:発生する 
+        /// </summary>
+        public enum SalesCostFlgDef
+        {
+            /// <summary>
+            /// 0:発生しない
+            /// </summary>
+            NotOn = 0,
+            /// <summary>
+            /// 1:発生する 
+            /// </summary>
+            On,
+        }
+        #endregion
+
+        #region 工事基本情報：見積種別
+        /// <summary>
+        /// 見積種別　0：通常見積 1:入札物件 2:予算取り見積
+        /// </summary>
+        public enum EstimateTypeDef
+        {
+            /// <summary>
+            /// 0：通常見積
+            /// </summary>
+            Normal = 0,
+            /// <summary>
+            /// 1:入札物件
+            /// </summary>
+            Didding,
+            /// <summary>
+            /// 2:予算取り見積
+            /// </summary>
+            GetBudget,
+        }
+        #endregion
+
+        #region 工事基本情報：請求回数フラグ
+        /// <summary>
+        /// 請求回数フラグ　0:分割請求 1:一括請求
+        /// </summary>
+        public enum BillingSplitFlgDef
+        {
+            /// <summary>
+            /// 0:一括請求
+            /// </summary>
+            AllOnBilling = 0,
+            /// <summary>
+            /// 1:分割請求
+            /// </summary>
+            SplitBilling,
+        }
+        #endregion
+
+        #region 工事基本情報：紐付データフラグ
+        /// <summary>
+        /// 工事基本情報：紐付データフラグ
+        /// </summary>
+        public enum TyingFlgDef
+        {
+            /// <summary>
+            /// 0:独立データ
+            /// </summary>
+            Standard = 0,
+            /// <summary>
+            /// 1:増減親データ
+            /// </summary>
+            Parent,
+            /// <summary>
+            /// 2:増減子データ
+            /// </summary>
+            Tying,
+        }
+        #endregion
+
+        #region 工事基本情報：結合工事フラグ
+        /// <summary>
+        /// 工事基本情報：結合工事フラグ
+        /// </summary>
+        public enum JoinFlgDef
+        {
+            /// <summary>
+            /// 0:結合無通常データ
+            /// </summary>
+            Standard = 0,
+            /// <summary>
+            /// 1:結合親データ
+            /// </summary>
+            JoinParent,
+            /// <summary>
+            /// 2:結合子データ
+            /// </summary>
+            JoinChildren,
+        }
+        #endregion
+        #endregion
+
         #region メンバ変数
 
         private int         m_ConstructionCode = 0;	                            // 工事コード
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfoDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfoDetail.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionBaseInfoDetail.cs	(revision 267)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 工事基本情報明細：明細番号並び
         /// </summary>
-        public enum DetailDataNo
+        public enum DataNoDef
         {
             /// <summary>
             /// 発注者名１
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedger.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedger.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedger.cs	(revision 267)
@@ -10,6 +10,25 @@
     /// </summary>
     public class ConstructionLedger
     {
+        #region 定数
+        #region 工事詳細台帳：台帳入力完了フラグ
+        /// <summary>
+        /// 工事詳細台帳：台帳入力完了フラグ
+        /// </summary>
+        public enum CompFlagDef
+        {
+            /// <summary>
+            /// 台　帳　入　力　中
+            /// </summary>
+            Operateing = 0,
+            /// <summary>
+            /// 完　了　済　台　帳
+            /// </summary>
+            Complated,
+        }
+        #endregion
+        #endregion
+
         #region メンバ変数
 
         private int         m_ConstructionCode = 0;	                    // 工事コード
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLedgerDetail.cs	(revision 267)
@@ -5,11 +5,68 @@
 
 namespace ProcessManagement.DataModel
 {
+    /// <summary>
+    /// 工事詳細台帳明細データ
+    /// </summary>
     public class ConstructionLedgerDetail
     {
+        #region 定数
+        #region 工事詳細台帳明細：担当中フラグ
         /// <summary>
-        /// 工事詳細台帳明細データ
+        /// 担当中フラグ
         /// </summary>
+        public enum SalOpeKindDef
+        {
+            /// <summary>
+            /// 担当終了
+            /// </summary>
+            Complate = 0,
+            /// <summary>
+            /// 担当中
+            /// </summary>
+            Oparateing,
+        }
+        #endregion
+
+        #region 工事詳細台帳明細：増減工事フラグ
+        /// <summary>
+        /// 工事詳細台帳：増減工事フラグ
+        /// </summary>
+        public enum FlucFlgDef
+        {
+            /// <summary>
+            /// 0:通常データ
+            /// </summary>
+            Normal = 0,
+            /// <summary>
+            /// 1:増減データ
+            /// </summary>
+            Fluctuates,
+        }
+        #endregion
+
+        #region 工事詳細台帳明細：注文書発行フラグ
+        /// <summary>
+        /// 工事詳細台帳明細：注文書データ作成フラグ
+        /// </summary>
+        public enum PurOrderFlgDef
+        {
+            /// <summary>
+            /// 未作成
+            /// </summary>
+            NoCreate = 0,
+            /// <summary>
+            /// 作成済
+            /// </summary>
+            Making = 1,
+            /// <summary>
+            /// 作成しない
+            /// </summary>
+            NotMakingData = 9,
+        }
+        #endregion
+        #endregion
+
         #region メンバ変数
 
         private int     m_ConstructionCode = 0;	            // 工事コード
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLink.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLink.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionLink.cs	(revision 267)
@@ -11,7 +11,23 @@
     public class ConstructionLink
     {
         #region 定数
+        #region 工事リンク情報：リンク種別
+        /// <summary>
+        /// 工事リンク情報：リンク種別
+        /// </summary>
+        public enum DataTypeDef
+        {
+            /// <summary>
+            /// 0:増減工事
+            /// </summary>
+            FluctuationType = 0,
+            /// <summary>
+            /// 1:結合工事
+            /// </summary>
+            JoinType,
+        }
         #endregion
+        #endregion
 
         #region メンバ変数
 
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ConstructionTypeMaster.cs	(revision 267)
@@ -10,6 +10,29 @@
     /// </summary>
     public class ConstructionTypeMaster
     {
+        #region 定数
+        #region 工事種別マスタ：公共工事種別
+        /// <summary>
+        /// 工事種別マスタ：公共工事種別
+        /// </summary>
+        public enum ConstructionTypeDef
+        {
+            /// <summary>
+            /// 0:その他
+            /// </summary>
+            Other = 0,
+            /// <summary>
+            /// 1:公共
+            /// </summary>
+            Community,
+            /// <summary>
+            /// 2:民間
+            /// </summary>
+            Popular,
+        }
+        #endregion
+        #endregion
+
         #region メンバ変数
         private int         m_TypeCode = 0;	                    // 工事種別コード
         private int         m_DisplayOrder = 0;	                // 表示順
